Subject: RE: bug#51337: Subject: 27.2; mouse-buffer-menu-mode-groups

From: Peter Scott <[email-masked]>
Date: Sat, 23 Oct 2021 18:38:42 +0000

Thanks,
I also found that if I reverse the order of the tests the last one is valid. And it works then.

Many thanks

-----Original Message-----
From: Juri Linkov <[email-masked]> 
Sent: Saturday, 23 October 2021 7:58 PM
To: Peter Scott <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#51337: Subject: 27.2; mouse-buffer-menu-mode-groups

> the verilog files are grouped as "Version Control”. Clearly this is 
> not correct. If i switch to a verilog file and do C-h major-mode Ret 
> the major mode is listed as verilog.
>
> I've tried to update the mouse-buffer-menu-mode-groups to this
> Value:
> ("log\\|diff\\|vc\\|cvs\\|Git\\|Annotate" . "Version Control")

Oh, it's unfortunate that "log\\|diff..." also matches "verilog".
This regexp should be tightened to match only VC buffers, but not buffers from other modes.  Maybe something like

  ("vc.*log\\|diff\\|vc\\|cvs\\|Git\\|Annotate" . "Version Control")